device(1).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(29).
job(30).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
job_len(14,14).
job_len(13,8).
job_len(12,16).
job_len(11,11).
job_len(10,14).
job_len(9,20).
job_len(8,19).
job_len(7,12).
job_len(6,8).
job_len(5,4).
job_len(4,7).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
importance(30,1).
importance(29,1).
importance(28,1).
importance(27,2).
importance(26,3).
importance(25,2).
importance(24,2).
importance(23,2).
importance(22,2).
importance(21,2).
importance(20,1).
importance(19,3).
importance(18,3).
importance(17,2).
importance(16,2).
importance(15,3).
importance(14,3).
importance(13,3).
importance(12,2).
importance(11,2).
importance(10,1).
importance(9,3).
importance(8,1).
importance(7,1).
importance(6,2).
importance(5,2).
importance(4,3).
importance(3,1).
importance(2,2).
importance(1,2).
job_device(1,2).
job_device(4,1).
job_device(7,2).
job_device(10,1).
job_device(13,2).
job_device(16,1).
job_device(19,1).
job_device(22,2).
job_device(25,1).
job_device(28,1).
job_device(2,4).
job_device(5,3).
job_device(8,3).
job_device(11,4).
job_device(14,3).
job_device(17,3).
job_device(20,4).
job_device(23,3).
job_device(26,4).
job_device(29,4).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_len(30,5).
job_len(29,15).
job_len(28,9).
job_len(27,6).
job_len(26,11).
job_len(25,12).
job_len(24,3).
job_len(23,20).
job_len(22,20).
job_len(21,19).
job_len(20,8).
job_len(19,19).
job_len(18,15).
job_len(17,3).
job_len(16,3).
job_len(15,14).
job_len(3,14).
job_len(2,13).
job_len(1,10).
deadline(3,10).
deadline(6,21).
deadline(9,37).
deadline(12,16).
deadline(15,31).
deadline(18,18).
deadline(21,33).
deadline(24,36).
deadline(27,20).
deadline(30,30).
max_total_penalty(1083).
curr_job_start(21,27).
curr_job_start(18,6).
curr_job_start(20,19).
curr_job_start(17,3).
curr_job_start(19,0).
curr_job_start(16,0).
curr_on_instance(21,1).
curr_on_instance(20,1).
curr_on_instance(19,2).
curr_on_instance(18,1).
curr_on_instance(17,1).
curr_on_instance(16,1).
curr_time(11).
max_value(1246).

